.combo-info .combo-item--title {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.product-detail-wrapper .wrapbox-gallery .productList-thumb .product-thumb__item, .product-detail-wrapper .wrapbox-gallery .productList-thumb .product-thumb__item img, .productDetail--action .block-addcart-action .add-to-cartProduct {
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
}

#product.productDetail-page .product-container-gallery, #product.productDetail-page .product-container-bg, .productDetail--action .product-flex-action .block-quantity, .product-deliverly-banner a, .product-deliverly-banner a img, .modal-productApp .modal-dialog-centered .modal-content, #buyxgety-program {
    -moz-border-radius: 7px;
    -ms-border-radius: 7px;
    -o-border-radius: 7px;
    -webkit-border-radius: 7px;
    border-radius: 7px;
}

#product.productDetail-page {
    background: #fff;
    padding-bottom: 40px;
}

#product.productDetail-page .breadcrumb-shop {
    background: #fff;
    border-bottom: 1px solid #fff;
}

#product.productDetail-page .product-container-gallery {
    padding: 10px;
    background: var(--product_main_bg);
}

#product.productDetail-page .product-container-bg {
    padding: 10px;
    background: var(--product_main_bg);
}

@media (min-width: 992px) {
    #product.productDetail-page .col-prod-item-30 {
        width: 25%;
    }

    #product.productDetail-page .col-prod-item-40 {
        width: 45%;
    }

    #product.productDetail-page .col-prod-item-50 {
        width: 55%;
    }

    #product.productDetail-page .col-prod-item-60 {
        width: 55%;
    }

    #product.productDetail-page .col-prod-item-70 {
        width: 75%;
    }
}

#product.productDetail-page .wrapper_col_item, #product.productDetail-page .wrapper_col {
    margin-right: -5px;
    margin-left: -5px;
}

#product.productDetail-page .wrapper_col_item [class*="col-prod-item-"], #product.productDetail-page .wrapper_col [class*="col-prod-item-"] {
    padding: 0 5px;
}

@media (max-width: 991px) {
    #product.productDetail-page .wrapper_col_item [class*="col-prod-item-"], #product.productDetail-page .wrapper_col [class*="col-prod-item-"] {
        width: 100%;
    }
}

#product.productDetail-page .title-prod {
    color: var(--color_titlepro_shop);
    font-weight: 600;
    font-size: 15px;
    margin-bottom: 10px;
    padding-bottom: 7px;
    border-bottom: 1px dashed #eceef0;
}

.product-detail-wrapper {
    /*.productDetail--content .wrapbox-detail > [class*='product-'] {margin-bottom: 12px;}*/
}

.product-detail-wrapper .wrapbox-gallery {
    position: relative;
}

.product-detail-wrapper .wrapbox-gallery .productDetail-slider {
    border: 1px solid #f4f4f4;
    border-radius: 5px;
    overflow: hidden;
}

.product-detail-wrapper .wrapbox-gallery .productDetail-slider:not(.owl-loaded) {
    display: -ms-flexbox;
    display: flex;
    overflow: hidden;
}

.product-detail-wrapper .wrapbox-gallery .productDetail-slider:not(.owl-loaded) .product-gallery {
    -webkit-flex: 0 0 100%;
    -ms-flex: 0 0 100%;
    flex: 0 0 100%;
    max-width: 100%;
}

.product-detail-wrapper .wrapbox-gallery .productDetail-slider .product-gallery img {
    cursor: url(//theme.hstatic.net/200000904183/1001310955/14/cursor-zoom-in.svg?v=255), auto;
    overflow: hidden;
    -webkit-transition: all 300ms linear;
    -moz-transition: all 300ms linear;
    -ms-transition: all 300ms linear;
    -o-transition: all 300ms linear;
    transition: all 300ms linear;
}

.product-detail-wrapper .wrapbox-gallery .productDetail-slider .owl-nav {
    margin: 0;
}

.product-detail-wrapper .wrapbox-gallery .productDetail-slider .owl-nav [class*="owl-"] .lnr {
    font-size: 23px;
}

.product-detail-wrapper .wrapbox-gallery .productDetail-slider .boxlazy-img__bd img {
    border-radius: 5px;
}

.product-detail-wrapper .wrapbox-gallery .productList-thumb {
    max-width: 100%;
    margin: 10px 0;
    display: block;
}

.product-detail-wrapper .wrapbox-gallery .productList-thumb:not(.owl-loaded) {
    display: -ms-flexbox;
    display: flex;
    overflow: hidden;
}

.product-detail-wrapper .wrapbox-gallery .productList-thumb:not(.owl-loaded) .product-thumb {
    -webkit-flex: 0 0 calc((100% - 50px) / 4);
    -ms-flex: 0 0 calc((100% - 50px) / 4);
    flex: 0 0 calc((100% - 50px) / 4);
    max-width: calc((100% - 50px) / 4);
    margin-right: 10px;
}

.product-detail-wrapper .wrapbox-gallery .productList-thumb .product-thumb__item {
    display: block;
    padding: 1px;
    margin: 1px;
    border: 1px solid #d3d0d0;
}

.product-detail-wrapper .wrapbox-gallery .productList-thumb .product-thumb__item img {
    min-height: 72px;
    max-height: 72px;
    object-fit: contain;
    height: 100%;
}

.product-detail-wrapper .wrapbox-gallery .productList-thumb .current .product-thumb__item {
    border-color: #000;
}

.product-detail-wrapper .wrapbox-gallery .productList-thumb .owl-dots {
    text-align: center;
    width: 100%;
    margin: 0;
}

.product-detail-wrapper .wrapbox-gallery .productList-thumb .owl-dots .owl-dot {
    display: inline-block;
}

.product-detail-wrapper .wrapbox-gallery .productList-thumb .owl-dots .owl-dot span {
    position: relative;
    display: inline-block;
    width: 15px;
    height: 2px;
    margin: 0 5px;
    border-radius: 0;
    cursor: pointer;
    background: #ddd;
    -webkit-transition: color 0.2s ease-in-out, background 0.2s ease-in-out;
    transition: color 0.2s ease-in-out, background 0.2s ease-in-out;
}

.product-detail-wrapper .wrapbox-gallery .productList-thumb .owl-dots .owl-dot.active span {
    width: 30px;
    background: var(--bg_button);
}

.product-detail-wrapper .wrapbox-gallery .boxlazy-img__bd {
    position: relative;
}

.product-detail-wrapper .wrapbox-gallery .boxlazy-img__bd img.icon-video-play {
    max-width: 30px !important;
    max-height: 30px !important;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.product-detail-wrapper .wrapbox-gallery .boxlazy-iframe-video {
    overflow: hidden;
    height: 0;
    display: block;
    padding-bottom: 100%;
    position: relative;
}

.product-detail-wrapper .wrapbox-gallery .boxlazy-iframe-video iframe {
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    position: absolute;
}

.product-detail-wrapper .productDetail-slider {
    overflow: hidden;
}

.product-detail-wrapper .productDetail--content .wrapbox-detail .product-price {
    border: 0;
    padding: 12px 0;
}

.content_feature_short {
    margin-top: 10px;
    display: inline-block;
    width: 100%;
}

.content_feature_short .heading_feature_short {
    font-weight: 600;
    font-size: 15px;
    margin-bottom: 5px;
}

.wrapper-productdetail-info h1 {
    margin-bottom: 12px !important;
}

.wrapper-productdetail-info .wrapper-box-detail .product-variants {
    margin-bottom: 0;
}

@media (min-width: 992px) {
    .sticky-left10 {
        position: -webkit-sticky;
        position: sticky;
        top: 10px;
        height: max-content;
    }
}

/* product location */
.productDetail--location ul {
    max-height: 232px;
    overflow-y: auto;
    max-width: 100%;
    margin-bottom: 0;
}

.productDetail--location ul li {
    list-style: none;
    padding: 4px 10px;
}

.productDetail--location ul li .dist {
    font-weight: bold;
}

.productDetail--location ul li span {
    line-height: 21px;
}

/* product coupon */
.product-mini-coupon {
    display: inline-block;
    width: 100%;
}

.product-mini-coupon .mini-coupon__wrapper {
    margin-top: 7px;
    display: flex;
    flex-wrap: wrap;
}

.product-mini-coupon .mini-coupon__wrapper .mini-coupon-item {
    margin: 5px;
    position: relative;
}

.product-mini-coupon .mini-coupon__wrapper .mini-coupon-item .mini-coupon {
    display: flex;
    width: 100%;
    position: relative;
    border: 0;
    outline: 0;
    background: 0;
}

.product-mini-coupon .mini-coupon__wrapper .mini-coupon-item .mini-coupon .mini-coupon__title {
    position: relative;
    display: flex;
    text-align: center;
    justify-content: center;
    background-color: var(--product_cop_bg);
    border-radius: 0.25rem;
    white-space: nowrap;
    width: -moz-fit-content;
    padding: 5px 5px 5px;
    margin: 0 auto;
    z-index: 1;
    color: var(--product_cop_txt);
    min-width: 90px;
    align-items: center;
}

.product-mini-coupon .mini-coupon__wrapper .mini-coupon-item .mini-coupon .mini-coupon__title:before {
    content: "";
    width: 6px;
    height: calc(100% - 3px);
    position: absolute;
    top: 2.5px;
    background-image: radial-gradient(var(--subbgshop) 2px, transparent 0);
    background-size: 6px 6px;
    background-position-x: -6px;
    left: -3px;
}

.product-mini-coupon .mini-coupon__wrapper .mini-coupon-item .mini-coupon .mini-coupon__title:after {
    content: "";
    width: 1px;
    height: 100%;
    position: absolute;
    top: 0;
    left: 7px;
    border: 1.2px dashed var(--subbgshop);
}

.product-mini-coupon .mini-coupon__wrapper .mini-coupon-item .mini-coupon .mini-coupon__title .mini-coupon__title-ss {
    padding-left: 10px;
}

@media (max-width: 767px) {
    .product-mini-coupon .mini-coupon__wrapper .mini-coupon-item .mini-coupon .mini-coupon__title .mini-coupon__title-ss {
        font-size: 13px;
    }
}

.product-mini-coupon .mini-coupon__wrapper .mini-coupon-item .mini-coupon .mini-coupon__tooltip {
    visibility: hidden;
    white-space: wrap;
    background-color: #fff;
    border: 1px solid #d9d9d9;
    color: #000;
    font-size: 14px;
    text-align: center;
    padding: 10px;
    position: absolute;
    top: 40px;
    left: 0;
    z-index: 2;
    box-shadow: 0 4px 5px rgba(54, 54, 54, 0.4);
    border-radius: 8px;
    min-width: -moz-max-content;
    min-width: max-content;
}

.product-mini-coupon .mini-coupon__wrapper .mini-coupon-item .mini-coupon .mini-coupon__tooltip span:first-child {
    display: block;
    font-size: 16px;
    font-weight: bold;
}

.product-mini-coupon .mini-coupon__wrapper .mini-coupon-item .mini-coupon .mini-coupon__tooltip span.mini-coupon__description {
    font-style: italic;
    font-size: 14px;
    color: #6d6d6d;
}

@media (min-width: 992px) {
    .product-mini-coupon .mini-coupon__wrapper .mini-coupon-item .mini-coupon:hover .mini-coupon__tooltip {
        visibility: visible;
    }
}

@media (max-width: 991px) {
    .product-mini-coupon .mini-coupon__wrapper .mini-coupon-item .mini-coupon .mini-coupon__tooltip {
        position: fixed;
        top: unset;
        bottom: 0;
        z-index: 9996;
        width: 100%;
        padding-bottom: 110px;
    }

    .product-mini-coupon .mini-coupon__wrapper .mini-coupon-item .mini-coupon .mini-coupon__tooltip .mb_acction-cp {
        position: relative;
        display: flex;
        text-align: center;
        background-color: var(--product_cop_bg);
        border-radius: 0.25rem;
        white-space: nowrap;
        width: -moz-fit-content;
        padding: 10px 5px 8px;
        z-index: 1;
        color: var(--product_cop_txt);
        margin: 10px 5px;
        cursor: pointer;
    }

    .product-mini-coupon .mini-coupon__wrapper .mini-coupon-item .mini-coupon.active-cp .mini-coupon__tooltip {
        visibility: visible;
    }

    .product-mini-coupon .mini-coupon__wrapper .mini-coupon-item .mini-coupon.active-cp .overlay-cp {
        width: 100%;
        height: 100%;
    }
}

.product-mini-coupon .mini-coupon__wrapper .overlay-cp {
    background-color: rgba(0, 0, 0, 0.7);
    color: rgba(0, 0, 0, 0.4);
    position: fixed;
    top: 0 !important;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    width: 0;
    height: 0;
    z-index: 999;
}

@media (max-width: 991px) {
    .product-mini-coupon .mini-coupon__wrapper.show-cp .overlay-cp {
        width: 100%;
        height: 100%;
    }
}

.listProduct-recommend:not(.owl-loaded) {
    width: 100%;
}

.listProduct-recommend:not(.owl-loaded) .item-small-product {
    flex: 0 0 50%;
}

@media (max-width: 1024px) {
    .listProduct-recommend:not(.owl-loaded) .item-small-product {
        flex: 0 0 82.61%;
        margin-right: 15px;
    }
}

@media (max-width: 1024px) {
    .listProduct-recommend.owl-carousel .owl-stage {
        left: -30px;
    }
}

@media (max-width: 767px) {
    .listProduct-recommend.owl-carousel .owl-stage {
        left: -30px;
    }
}

.listProduct-recommend .owl-dots {
    position: static;
    margin: 10px auto 0;
    text-align: center;
    width: 100%;
}

@media (max-width: 767px) {
    .listProduct-recommend .owl-dots {
        margin: 5px auto 0;
    }
}

.listProduct-recommend .owl-dots .owl-dot {
    display: inline-block;
}

.listProduct-recommend .owl-dots .owl-dot span {
    position: relative;
    display: inline-block;
    width: 15px;
    height: 2px;
    margin: 0 5px;
    border-radius: 0;
    cursor: pointer;
    background: #e9e9e9;
    -webkit-transition: color 0.2s ease-in-out, background 0.2s ease-in-out;
    transition: color 0.2s ease-in-out, background 0.2s ease-in-out;
}

.listProduct-recommend .owl-dots .owl-dot.active span {
    width: 30px;
    background: var(--bg_button);
}

/* product description */
.product-description-content {
    margin-bottom: 10px;
}

.product-description-content.opened .wrap-prod-content {
    max-height: 230px;
    overflow: hidden;
}

.product-description-content.opened .description-btn .expandable-product_toggle:before {
    content: "";
    pointer-events: none;
    position: absolute;
    bottom: 100%;
    left: 0px;
    width: 100%;
    height: 200px;
    background-image: linear-gradient(rgba(255, 255, 255, 0), var(--product_main_bg));
}

.product-description-content:not(.opened) .expandable-product_toggle {
    margin-top: 30px;
    border: 0;
}

.product-description-content .expandable-product_toggle {
    outline: none;
}

.product-description-content .description-btn {
    position: relative;
    text-align: center;
}

.product-description-content .expandable-product_toggle {
    margin-top: 15px;
    display: flex;
    font-size: 13.5px;
    color: var(--bg_button);
    font-weight: 500;
    cursor: pointer;
    justify-content: center;
    align-items: center;
    position: relative;
    outline: 0;
    border: 0;
    background: 0;
    width: 100%;
}

.product-description-content .expandable-product_toggle i {
    font-size: 13px;
    padding-left: 5px;
}

/* action */
.productDetail--action .product-flex-action {
    margin-bottom: 10px;
}

.productDetail--action .product-flex-action .quantity-title {
    font-weight: 600;
    font-size: 15px;
    color: var(--colorshop_titlte);
    margin-bottom: 10px;
    padding-bottom: 7px;
    border-bottom: 1px dashed #eceef0;
}

.productDetail--action .product-flex-action .block-quantity {
    margin-right: 10px;
    display: flex;
    height: 45px;
    position: relative;
    width: auto;
    align-items: center;
}

.productDetail--action .product-flex-action .block-quantity .qty-btn {
    border-radius: 0;
    padding: 4px;
    width: 50px;
    border: 1.5px solid #000;
    height: 45px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #8c9196;
    background: transparent;
    outline: none !important;
    box-shadow: none;
}

.productDetail--action .product-flex-action .block-quantity .qty-btn i {
    display: block;
    margin: 0 auto;
    color: #000;
    transition: all .2s ease-in-out;
    -ms-transition: all .2s ease-in-out;
    -webkit-transition: all .2s ease-in-out;
}

.productDetail--action .product-flex-action .block-quantity .qty-btn.qty-minus {
    border-right: none;
    border-radius: 5px 0 0 5px;
}

.productDetail--action .product-flex-action .block-quantity .qty-btn.qty-plus {
    border-radius: 0 5px 5px 0;
    border-left: none;
}

.productDetail--action .product-flex-action .block-quantity .quantity-number {
    border: 0;
    width: 55px !important;
    text-align: center;
    border-top: 1.5px solid #000;
    border-bottom: 1.5px solid #000;
    border-radius: 0;
    height: 45px;
    padding: 0.375rem 0.75rem;
    font-weight: 400;
    line-height: 1.5;
    color: #000;
    background-color: transparent;
    background-clip: padding-box;
    font-size: 16px;
}

.productDetail--action .block-addcart-action .add-to-cartProduct {
    -webkit-transition: all .3s ease;
    transition: all .3s ease;
    font-size: 16px;
    line-height: 42px;
    text-align: center;
    padding: 0 10px;
    cursor: pointer;
    display: inline-block;
    vertical-align: top;
    margin: 0;
    white-space: nowrap;
    position: relative;
    height: 45px;
    width: 100%;
    font-weight: 400;
    outline: none !important;
    text-transform: uppercase;
    color: var(--btntxt_product_addcart);
    border: 1.5px solid var(--btn_product_addcart);
    background: var(--btn_product_addcart);
}

@media (min-width: 992px) {
    .productDetail--action .block-addcart-action .add-to-cartProduct:hover, .productDetail--action .block-addcart-action .add-to-cartProduct:focus {
        background: var(--btntxt_product_addcart);
        color: var(--btn_product_addcart);
    }
}

.productDetail--action .block-addcart-action .add-to-cartProduct.buy-now-btn {
    background: var(--btn_product_buynow);
    color: var(--btntxt_product_buynow);
    border-color: var(--btn_product_buynow);
}

@media (min-width: 992px) {
    .productDetail--action .block-addcart-action .add-to-cartProduct.buy-now-btn:hover, .productDetail--action .block-addcart-action .add-to-cartProduct.buy-now-btn:focus {
        background: var(--btntxt_product_buynow);
        color: var(--btn_product_buynow);
    }
}

.productDetail--action .block-addcart-action .add-to-cartProduct#add-to-cart {
    margin-bottom: 10px;
}

.productDetail--action .block-addcart-action .add-to-cartProduct.disabled {
    cursor: not-allowed;
    background: #f2f2f2;
    color: #000;
    border-color: #000;
}

@media (min-width: 992px) {
    .productDetail--action .block-addcart-action .add-to-cartProduct.disabled:hover, .productDetail--action .block-addcart-action .add-to-cartProduct.disabled:focus {
        background: #f2f2f2;
        color: #000;
        border-color: #000;
    }
}

.productDetail--action .block-addcart-action #btn-contact {
    -webkit-transition: all .3s ease;
    transition: all .3s ease;
    font-size: 16px;
    line-height: 42px;
    text-align: center;
    border: 1.5px solid var(--btntxt_product_addcart);
    padding: 0 10px;
    cursor: pointer;
    display: inline-block;
    vertical-align: top;
    margin: 0;
    white-space: nowrap;
    position: relative;
    height: 45px;
    width: 100%;
    font-weight: 400;
    outline: none !important;
    text-transform: uppercase;
    background: var(--btn_product_buynow);
    color: var(--btntxt_product_buynow);
    border-color: var(--btntxt_product_addcart);
}

@media (max-width: 991px) {
    .productDetail--action .product-flex-action .block-quantity {
        height: 40px;
    }

    .productToolbar-addcart.productToolbar-addcart-detail {
        position: fixed;
        z-index: 99;
        bottom: 56px;
        left: 0;
        padding: 10px 15px 10px;
        background: #f8f8f8;
        width: 100%;
        display: flex;
        box-shadow: -1px -16px 45px 0 rgba(0, 0, 0, 0.17);
        border-top: 1px solid #e8e8e8;
    }

    .productToolbar-addcart.productToolbar-addcart-detail .block-quantity-actions .product-flex-action {
        margin-bottom: 0;
    }

    .productToolbar-addcart.productToolbar-addcart-detail .block-quantity-actions .product-flex-action .quantity-title {
        display: none;
    }

    .productToolbar-addcart.productToolbar-addcart-detail .block-quantity-actions .product-flex-action .block-quantity button {
        width: 40px !important;
        height: 40px;
    }

    .productToolbar-addcart.productToolbar-addcart-detail .block-quantity-actions .product-flex-action .block-quantity .quantity-number {
        width: 40px !important;
        height: 40px;
    }

    .productToolbar-addcart.productToolbar-addcart-detail .block-addcart-action {
        flex: 1;
    }

    .productToolbar-addcart.productToolbar-addcart-detail .block-addcart-action button#add-to-cart {
        height: 40px;
        line-height: 40px;
        margin-bottom: 0 !important;
    }

    .productToolbar-addcart.productToolbar-addcart-detail .block-addcart-action button#buy-now {
        display: none !important;
    }

    .productToolbar-addcart.productToolbar-addcart-detail .block-addcart-action #btn-contact {
        height: 40px;
        line-height: 40px;
        margin-bottom: 0 !important;
    }

    .productToolbar-addcart.productToolbar-addcart-detail {
        opacity: 0;
        visibility: hidden;
    }

    .show-buy-mobile .productToolbar-addcart.productToolbar-addcart-detail {
        opacity: 1;
        visibility: visible;
    }
}

/* deliverly */
.product-deliverly .infoList-deliverly li {
    padding-left: 45px;
    padding-top: 4px;
    position: relative;
    margin-bottom: 20px;
}

.product-deliverly .infoList-deliverly li span {
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 30px;
    display: inline-block;
    vertical-align: middle;
}

.product-deliverly .infoList-deliverly li strong, .product-deliverly .infoList-deliverly li b {
    font-weight: 600;
}

.product-deliverly-banner {
    margin-top: 10px;
}

.product-deliverly-banner a {
    display: block;
    padding: 5px;
    border: 1.5px dashed var(--colorshop_titlte);
}

.product-deliverly-banner a img {
    overflow: hidden;
}

/* product related */
.listProduct-related:not(.owl-loaded) .product-item {
    padding: 0 0 10px;
    margin-right: 15px;
    flex: 0 0 24.1%;
}

@media (max-width: 767px) {
    .listProduct-related:not(.owl-loaded) .product-item {
        margin-right: 10px;
        flex: 0 0 48%;
    }
}

.listProduct-related .product-item {
    margin-bottom: 0;
}

@media (max-width: 991px) {
    #product.productDetail-page .product-container-bg.mob-fixed-action {
        padding: 0;
        background: unset;
        margin: 0;
    }
}

/* . REVIEWS */
#btnnewreview, #btnSubmitReview, .rating-wrp .btn.btn-user-vote{
    background: var(--bg_button) !important;
    color: var(--color_button) !important;
}

.hrv-product-reviews-form h3 {
    color: var(--color_titlepro_shop);
    font-weight: 600;
    font-size: 15px;
    margin-bottom: 10px;
    padding-bottom: 7px;
    border-bottom: 1px dashed #eceef0;
}

.hrv-product-reviews-form input {
    height: 40px;
}

.hrv-product-reviews-form textarea {
    height: 100px;
}

.hrv-product-reviews-form input[type="text"], .hrv-product-reviews-form textarea {
    border: 1px dashed var(--colorshop_titlte) !important;
    background: #fff;
    line-height: 40px;
    margin-bottom: 0;
}

#hrv-product-reviews-list i {
    font-style: normal;
    font-size: 95%;
}

/* . RENDER COMBO */
.combo-info--title {
    font-weight: 600;
    font-size: 15px;
    color: var(--colorshop_titlte);
    margin-bottom: 10px;
    padding-bottom: 7px;
    border-bottom: 1px dashed #eceef0;
}

.combo-info--content + .combo-info--content {
    border-top: 0;
}

.combo-info .combo-content--name {
    font-weight: 600;
    font-size: 15px;
    color: var(--colorshop_titlte);
    margin-bottom: 10px;
}

.combo-info .combo-content--list .list-combos {
    display: flex;
    -ms-display: flex;
    flex-wrap: wrap;
}

.combo-info .combo-content--total {
    display: -webkit-box;
    display: flex;
    justify-content: flex-start;
    padding-top: 15px;
    border-left: 0;
    border-top: 1px dashed #ddd;
    text-align: left;
}

.combo-info .combo-content--total p {
    margin: 0 0 10px;
    font-size: 14px;
}

.combo-info .combo-content--total p.txt1 {
    font-weight: 700;
}

.combo-info .combo-content--total p.txt2 .combo-total-priceInit {
    font-weight: 500;
    font-size: 15px;
}

.combo-info .combo-content--total p span.combo-total-price {
    color: var(--txt_product_pricecl);
    font-size: 15px;
}

.combo-info .combo-content--total .add-combo {
    font-size: 13px;
    background: var(--bg_button);
    border: none;
    padding: 5px 7px;
    color: var(--color_button);
    font-weight: 500;
    border-radius: 5px;
    white-space: nowrap;
    min-width: 175px;
    height: 40px;
    text-transform: uppercase;
}

.combo-info .combo-content--total .add-combo:focus {
    outline: none;
}

.combo-info .combo-item {
    position: relative;
    flex: 0 0 33.333333%;
    max-width: 33.333333%;
    margin-bottom: 15px;
    display: flex;
    flex-direction: column;
}

.combo-info .combo-item--images {
    position: relative;
    margin-bottom: 15px;
}

.combo-info .combo-item--images .lazy-img-cb {
    overflow: hidden;
}

.combo-info .combo-item--images a {
    width: 75px;
    text-align: center;
    display: block;
}

.combo-info .combo-item--detail {
    padding-right: 20px;
    flex: 1 1 auto;
    display: flex;
    flex-direction: column;
}

.combo-info .combo-item--detail p {
    margin-bottom: 0;
}

.combo-info .combo-item--detail p.combo-item--priceInit {
    display: none;
}

.combo-info .combo-item--title {
    position: relative;
    margin-bottom: 5px;
    font-weight: 500;
}

.combo-info .combo-item--title input {
    margin-right: 5px;
    cursor: pointer;
    vertical-align: -2px;
}

.combo-info .combo-item--option {
    margin-bottom: 4px;
}

.combo-info .combo-item--option .options-title {
    color: #333;
    font-weight: 500;
    margin-bottom: 3px;
}

.combo-info .combo-item--option .select-option {
    display: inline-block;
    position: relative;
    margin-right: 4px;
    margin-top: 4px;
}

.combo-info .combo-item--option .select-option:hover label {
    opacity: 1;
    visibility: visible;
}

.combo-info .combo-item--option .select-option label {
    position: absolute;
    top: -34px;
    left: 50%;
    transform: translateX(-50%);
    height: 24px;
    line-height: 24px;
    background: #17191a;
    color: #fff;
    font-size: 12px;
    text-decoration: none;
    white-space: nowrap;
    padding: 0 15px;
    border-radius: 3px;
    z-index: 990;
    opacity: 0;
    visibility: hidden;
    transition: all 300ms ease;
    display: none;
}

.combo-info .combo-item--option .select-option label:after {
    content: "";
    display: block;
    position: absolute;
    bottom: 1px;
    left: 50%;
    width: 0;
    height: 0;
    border: solid;
    border-width: 8px 8px 0 8px;
    border-color: transparent;
    border-top-color: #000;
    -webkit-transform: translate(-50%, 100%);
    transform: translate(-50%, 100%);
}

.combo-info .combo-item--option .select-option select {
    font-size: 12px;
    color: #000;
    padding: 5px;
    border: 1px dashed #999;
    border-radius: 4px;
    outline: none;
    font-weight: 500;
}

.combo-info .combo-item--option .select-option select.disable {
    pointer-events: none;
    padding: 3px 8px;
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
}

.combo-info .combo-item--option .select-option select option[disabled] {
    color: rgba(0, 0, 0, 0.3);
}

.combo-info .combo-item--option.is-hide {
    display: none;
}

.combo-info .combo-item--option.disable .options-title {
    display: none;
}

.combo-info .combo-item--option.disable .filter-option {
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
    pointer-events: none;
    padding: 5px 8px;
}

.combo-info .combo-item--bottom {
    margin-top: auto;
}

.combo-info .combo-item--priceInit {
    margin-top: auto;
}

.combo-info .combo-item--priceInit span b {
    font-weight: 600;
}

.combo-info .combo-item--priceInit del {
    margin-left: 5px;
    color: rgba(0, 0, 0, 0.26);
    font-size: 12px;
    font-weight: 500;
}

.combo-info .combo-item--price {
    color: var(--txt_product_pricecl);
    margin-top: 5px;
    font-size: 15px;
}

.combo-info .combo-item--price .price-tt {
    font-size: 12px;
    color: #333;
    display: block;
    font-weight: 500;
}

.combo-info .combo-item--price span.price-cb {
    font-weight: 600;
}

.combo-info .combo-item--price del {
    color: var(--txt_product_cppricecl);
    margin-left: 5px;
    font-size: 12px;
}

.combo-info .combo-item.item-force .combo-item--images a,
.combo-info .combo-item.item-force .combo-item--title input {
    pointer-events: none;
}

.combo-info .combo-item.item-force:after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    display: none;
}

.combo-info .combo-item.disabled .combo-item--images a.image {
    opacity: 0.5;
}

.combo-info .combo-item:not(:last-child) .combo-item--images:before {
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    left: 100px;
    margin: auto;
    width: 30px;
    height: 30px;
    line-height: 30px;
    text-align: center;
    background: linear-gradient(#000, #000), linear-gradient(#000, #000), transparent;
    background-position: center;
    background-size: 50% 2px, 2px 50%;
    background-repeat: no-repeat;
}

@media (min-width: 992px) {
    .combo-info .combo-content--total {
        position: relative;
        text-align: left;
        min-width: 195px;
    }

    .combo-info .combo-content--total .wrapbox-total {
        display: flex;
        align-items: center;
        height: 100%;
    }

    .combo-info .combo-content--total .wrapbox-total .combo-total {
        margin-right: 30px;
    }

    .combo-info .combo-content--total .wrapbox-total .combo-total p {
        margin: 0;
    }

    .combo-info .combo-content--total .wrapbox-total .combo-total .txt2 {
        margin-top: 1px;
    }

    .combo-info .combo-content--list {
        -ms-flex: 1 1 auto;
        flex: 1 1 auto;
    }

    .combo-info .combo-item--option {
        display: flex;
        align-items: center;
        flex-wrap: wrap;
    }

    .combo-info .combo-item--option .options-title {
        margin-right: 5px;
        min-width: 90px;
        font-size: 12px;
        margin-top: 0px;
    }

    .combo-info--content {
        padding: 15px;
        border: 1.5px dashed var(--bgshop);
        border-radius: 5px;
    }

    .combo-info--vertical .combo-info--content {
        overflow: hidden;
    }

    .combo-info--vertical .combo-content--total {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 100%;
        flex: 0 0 100%;
    }

    .combo-info--vertical .combo-item--price .price-tt {
        display: inline-block;
        margin-right: 5px;
    }

    .combo-info--vertical.width-small {
        max-width: calc(66.666667% - 15px);
    }

    .combo-info--vertical.width-small .combo-item {
        flex: 0 0 50%;
        max-width: 50%;
    }

    .combo-info--vertical .combo-item:nth-child(3n) .combo-item--detail {
        padding: 0;
    }

    .combo-info--horizontal .combo-info--content {
        display: block;
    }

    .combo-info--horizontal .combo-info--content .combo-item--images a {
        width: 80px;
    }

    .combo-info--horizontal .combo-content--total {
        border-left: 0;
        padding-left: 0;
    }

    .combo-info--horizontal .combo-item--bottom {
        text-align: right;
        max-width: 150px;
        flex: 0 0 150px;
        margin-top: 0;
    }

    .combo-info--horizontal .combo-item {
        flex: 0 0 100%;
        max-width: 100%;
        flex-direction: row;
        border-bottom: 1px dashed #e4e5f0;
    }

    .combo-info--horizontal .combo-item--title {
        position: initial;
    }

    .combo-info--horizontal .combo-item--title input {
        position: absolute;
        top: 0;
        left: 0;
    }

    .combo-info--horizontal .combo-item--detail {
        padding-right: 0;
        padding-left: 15px;
        flex-direction: row;
        justify-content: space-between;
    }

    .combo-info--horizontal .combo-item--option .options-title {
        margin-right: 15px;
        flex: 0 0 100%;
        color: #333;
        margin-top: 0;
    }

    .combo-info--horizontal .combo-item--option .select-option {
        margin-right: 4px;
        margin-top: 4px;
    }

    .combo-info--horizontal .combo-item--price .price-tt {
        display: inline-block;
        padding-right: 3px;
    }

    .combo-info--horizontal .combo-item--price del {
        display: block;
    }

    .combo-info--horizontal .combo-item--price {
        margin: 0;
        font-size: 14px;
    }

    .combo-info--horizontal .combo-item:last-child {
        border-bottom: 0;
    }

    .combo-info--horizontal .combo-item:not(:last-child) .combo-item--images:before {
        display: none;
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    .combo-info--content, .combo-info--priceInit, .combo-info--price,
    .combo-info--price span {
        font-size: 14px;
    }

    .combo-info .combo-item {
        flex: 0 0 48%;
        max-width: 48%;
    }
}

@media (max-width: 991px) {
    .combo-info--content {
        display: block;
    }

    .combo-info .combo-item--option .options-title {
        font-size: 12px;
        color: #333;
    }

    .combo-info .combo-item--option .select-option {
        margin-right: 4px;
        margin-top: 4px;
    }

    .combo-info .combo-content--total {
        width: 100%;
        padding-top: 15px;
    }

    .combo-info .combo-content--total .wrapbox-total {
        text-align: left;
    }

    .combo-info .combo-content--total .add-combo {
        padding: 12px 20px;
        width: 100%;
        height: 40px;
    }

    .combo-info .combo-content--list {
        margin: 0 -12px;
        overflow: hidden;
    }

    .combo-info .combo-content--list .list-combos {
        flex-wrap: nowrap;
        overflow: scroll;
        padding: 0 12px;
    }

    .combo-info .combo-content--list .list-combos::-webkit-scrollbar {
        display: none;
    }

    .combo-info .combo-item--detail {
        padding-right: 12px;
    }

    .combo-info .combo-item--priceInit, .combo-info .combo-item--price,
    .combo-info .combo-item--price span {
        font-size: 12px;
    }

    .combo-info--vertical .combo-content--total {
        display: block;
    }
}

@media (max-width: 767px) {
    .combo-info .combo-item {
        flex: 0 0 49%;
        max-width: 49%;
    }
}

@media (max-width: 360px) {
    .combo-info .combo-item--priceInit, .combo-info .combo-item--price,
    .combo-info .combo-item--price span {
        font-size: 11px;
    }
}

.product-appcombo.q-combo-info {
    border-bottom: 1px dotted #dfe0e1;
}

/* . BUY X GET Y */
.modal-productApp {
    text-align: center;
    padding: 0 !important;
    font-size: 0;
    background: rgba(3, 17, 27, 0.7);
    -webkit-transition: opacity .35s linear;
    -o-transition: opacity .35s linear;
    transition: opacity .35s linear;
}

.modal-productApp:before {
    content: '';
    display: inline-block;
    height: 100%;
    vertical-align: middle;
    margin-right: -4px;
}

.modal-productApp .modal-dialog-centered {
    display: inline-block;
    text-align: left;
    vertical-align: middle;
    font-size: 14px;
}

.modal-productApp .modal-dialog-centered .modal-content {
    width: 100%;
}

.modal-productApp .modal-footer {
    padding: 15px;
    text-align: center;
}

.modal-productApp .modal-footer .button {
    margin: 0;
    outline: 0;
}

.modal-productApp .modal-header {
    padding: 15px 20px;
}

.modal-productApp .modal-header .modal-title {
    margin: 0;
    font-weight: bold;
    font-size: 19px;
    padding: 0px 30px 0px 0px;
    text-align: center;
}

.modal-productApp .modal-header .close-modal-app {
    display: inline-block;
    position: absolute;
    background-color: #ffffff;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    border: 1px solid #333;
    right: 13px;
    top: 9px;
    z-index: 9;
    opacity: 1;
    margin: 0;
    padding: 0;
}

.modal-productApp .modal-header .close-modal-app svg {
    display: inline-block;
    fill: currentColor;
    position: relative;
    width: 12px;
    line-height: 30px;
    margin-top: -2px;
}

.modal-productApp.fade .modal-dialog {
    -webkit-transform: translate(0, 0);
    -ms-transform: translate(0, 0);
    -o-transform: translate(0, 0);
    transform: translate(0, 0);
}

.modal-productApp.fade .modal-dialog-centered {
    opacity: 0;
    -webkit-transform: scale(0.8);
    -moz-transform: scale(0.8);
    -ms-transform: scale(0.8);
    transform: scale(0.8);
    -webkit-transition: all .2s;
    -moz-transition: all .2s;
    -ms-transition: all .2s;
    transition: all .2s;
}

.modal-productApp.fade.in .modal-dialog-centered {
    opacity: 1;
    -webkit-transform: scale(1);
    -moz-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1);
}

@media (max-width: 767px) {
    .modal-productApp .modal-dialog-centered {
        margin: 30px 10px 50px;
    }

    .modal-productApp .modal-header {
        padding-left: 15px;
    }

    .modal-productApp .modal-header .modal-title {
        font-size: 16px;
    }

    .modal-productApp .modal-footer .button {
        width: 100%;
        margin: 0;
    }
}

#buyxgety-program {
    margin: 0;
    border: 1.5px dashed var(--bgshop);
    padding: 10px;
    position: relative;
    min-height: 100px;
    z-index: 0;
}

#buyxgety-program .buyxgety-heading {
    padding: 5px 10px;
    position: relative;
    padding-right: 60px;
}

#buyxgety-program .buyxgety-heading h3 {
    font-weight: 600;
    font-size: 15px;
    color: var(--colorshop_titlte);
    margin-bottom: 10px;
    padding-bottom: 7px;
    border-bottom: 1px dashed #eceef0;
}

#buyxgety-program .buyxgety-heading:after {
    content: "";
    position: absolute;
    width: 35px;
    height: 35px;
    right: 10px;
    top: 6px;
    background-image: url(//theme.hstatic.net/200000904183/1001310955/14/appbuyxgety-icon.png?v=255);
    background-repeat: no-repeat;
    background-size: contain;
}

#buyxgety-program .buyxgety_content {
    max-height: 300px;
    overflow-y: auto;
}

.buyxgety_item {
    display: -webkit-flex;
    display: flex;
    padding: 5px 10px 10px;
}

.buyxgety_item .buyxgety_checkbox {
    width: 35px;
    float: left;
    padding-top: 7px;
}

.buyxgety_item .buyxgety_checkbox input[type=radio] {
    cursor: pointer;
    width: 15px;
    height: 15px;
}

.buyxgety_item .buyxgety_image {
    width: 60px;
    float: right;
}

.buyxgety_item .buyxgety_item_title {
    width: calc(100% - 95px);
    float: right;
    padding-left: 15px;
}

.buyxgety_item .buyxgety_list_variant select {
    font-size: 94%;
    font-style: italic;
    min-width: 110px;
    outline: none;
    padding: 1px 15px 2px;
    margin: 2px 0 5px;
}
.rating-wrp .product-user-vote-title{
    display: none;
}
.rating-wrp .product-user-vote{
    padding: 10px;
}
.rating-wrp .product-user-vote-form{
    color: #000 !important;
}
.rating-wrp .btn.btn-user-vote{
    font-size: 1.4rem;
}